difference.igraph.es {igraph} | R Documentation

## Difference of edge sequences

### Description

Difference of edge sequences

### Usage

    ## S3 method for class 'igraph.es'
    difference(big, small, ...)

### Arguments

`big` | The ‘big’ edge sequence.
`small` | The ‘small’ edge sequence.
`...` | Ignored, included for S3 signature compatibility.

### Details

They must belong to the same graph. Note that this function has ‘set’ semantics and the multiplicity of edges is lost in the result.

### Value

An edge sequence that contains only edges that are part of `big`, but not part of `small`.

### See Also

Other vertex and edge sequence operations: `c.igraph.es`, `c.igraph.vs`, `difference.igraph.vs`, `igraph-es-indexing2`, `igraph-es-indexing`, `igraph-vs-indexing2`, `igraph-vs-indexing`, `intersection.igraph.es`, `intersection.igraph.vs`, `rev.igraph.es`, `rev.igraph.vs`, `union.igraph.es`, `union.igraph.vs`, `unique.igraph.es`, `unique.igraph.vs`

### Examples

    g <- make_(ring(10), with_vertex_(name = LETTERS[1:10]))
    difference(V(g), V(g)[6:10])

[Package igraph version 1.1.2 Index]